import firebase from 'firebase/app';
import 'firebase/auth';
import React, { FC } from 'react';
interface AuthProviderValue {
    user?: firebase.User;
    loading: boolean;
}
export declare const AuthContext: React.Context<AuthProviderValue>;
export declare type FirebaseCredentials = firebase.auth.AuthCredential & {
    accessToken?: string;
    providerId?: string;
};
export interface AuthProviderProps {
    noPersistence?: boolean;
    onLogin?: (user: firebase.User, credential?: FirebaseCredentials) => Promise<any>;
    onError?: (e: firebase.FirebaseError) => void;
    syncToCookie?: string;
    syncToLocalStorage?: string;
}
export declare const AuthProvider: FC<AuthProviderProps>;
export declare function useAuthData(): AuthProviderValue;
export declare const withAuthProvider: (config: AuthProviderProps, Comp: React.ComponentType<{}>) => (p: any) => JSX.Element;
export {};
